Subject: Re: [Bitcoin-development] Auto-generated miner backbone

From: Pieter Wuille <[email-masked]>
Date: Mon, 4 Nov 2013 15:34:35 +0100

On Mon, Nov 4, 2013 at 3:26 PM, Peter Todd <[email-masked]> wrote:
> The correct, and rational, approach for a miner is to always mine to
> extend the block that the majority of hashing power is trying to extend.
> The current relay rules don't give you that information at all, but they
> can if we do two things:
>
> 1) Relay all blocks that meet the PoW target. (as suggested in the
>    paper)
>
> 2) Relay block headers that nearly meet the PoW target.
>
> Mining strategy is now to mine to extend the first block you see, on the
> assumption that the earlier one probably propagated to a large portion
> of the total hashing power. But as you receive "near-blocks" that are
> under the PoW target, use them to estimate the hashing power on each
> fork, and if it looks like you are not on the majority side, switch.

Doesn't that mean that by selective blocking these near-PoW headers,
you can bias peers into preferring to mine on those with near-PoW
headers, turning the attack around? Of course, because of their size,
headers are likely much harder to slow down (in propagation speed)
than full blocks...

-- 
Pieter